aboutsummaryrefslogtreecommitdiff
path: root/system/ntfs-3g/ntfs-3g.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/ntfs-3g/ntfs-3g.SlackBuild')
-rw-r--r--system/ntfs-3g/ntfs-3g.SlackBuild36
1 files changed, 25 insertions, 11 deletions
diff --git a/system/ntfs-3g/ntfs-3g.SlackBuild b/system/ntfs-3g/ntfs-3g.SlackBuild
index 6ef358ff75616..5fc0f3caa7953 100644
--- a/system/ntfs-3g/ntfs-3g.SlackBuild
+++ b/system/ntfs-3g/ntfs-3g.SlackBuild
@@ -1,17 +1,17 @@
#!/bin/sh
# Slackware build script for ntfs-3g
-
# Written by core <eroc@linuxmail.org>
-
-set -e
+# Modified by Robby Workman <rworkman@slackbuilds.org> with input
+# from Antonio Hernández Blas <hba.nihilismus@gmail.com>
PRGNAM=ntfs-3g
-VERSION=1.516
+VERSION=1.2216
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -22,38 +22,52 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG/usr $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xzvf $CWD/$PRGNAM-$VERSION.tgz
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R a-s,u+rw,go-w .
CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--mandir=/usr/man \
- --enable-shared=yes \
+ --includedir=/usr/include \
+ --bindir=/bin \
+ --sbindir=/sbin \
+ --libdir=/lib \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-fuse=external \
+ --disable-ldconfig \
--enable-static=no
make
make install DESTDIR=$PKG
+# Move pkgconfig to /usr/lib
+mkdir $PKG/usr/lib
+mv $PKG/lib/pkgconfig $PKG/usr/lib
+
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
+rm -rf $PKG/usr/share # Only /usr/share/doc is here
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS ChangeLog COPYING CREDITS INSTALL \
- NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING CREDITS INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install